
QGIS Application - Bug report #4571

Dissolve and clip on spatialite vectors don't work and causes crash

2011-11-28 03:27 AM - Andrea Spisni

Status: Closed

Priority: High

Assignee: cfarmer -

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 14482

Description

    1. During dissolve the errors is:

-------

Traceback

file...\\doGeoprocessing.py, line 299 in run geos, feature, match, error=self.dissolve( useField)

file...\\doGeoprocessing.py, line 726 in dissolve out.Feat.setAttributeMapa (attrs)

UnboundLocalError: local variabible attrs referenced before assignment

py 2.5.1, QGIS 1.7.2

[the copy command in the error message window doesn't work]

-------

    1. During clip, no error appears but the output shapefile is empty.

Associated revisions

Revision 7200ea23 - 2012-05-23 03:38 PM - Alexander Bruy

make Clip tool work with SpatiaLite layers (fix #4571)

History

#1 - 2011-11-28 03:58 AM - Giovanni Manghi

- Subject changed from Dissolve and clip on spatialite vectors don't work to Dissolve and clip on spatialite vectors don't work 

- OS version deleted (XP sp3)

- Assignee set to cfarmer -

- Category set to 44

- Priority changed from Normal to High

- Operating System deleted (windows)

Using QGIS-master (nightly build repo) on Ubuntu 11.10 I get even worst results. QGIS crashes when dissolving, using the Spatialite sample data set

(layer "regions")

[xcb] Unknown request in queue while dequeuing

[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called

[xcb] Aborting, sorry about that.

qgis.bin: ../../src/xcb_io.c:178: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.

Aborted

I confirm that clipping returns an empty layer.
#2 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2011-12-24 01:10 AM - Giovanni Manghi

- Priority changed from High to 6

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to master

- Subject changed from Dissolve and clip on spatialite vectors don't work  to Dissolve and clip on spatialite vectors don't work and causes crash

#4 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#5 - 2012-04-16 12:36 AM - Alexander Bruy

Seems this is more complex problem, I also found that many geometry operations don't work with SpatiaLite layers even from Python console.

Related ticket #5264

#6 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-05-23 06:47 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"7200ea23f1ac260046ac84ac2466cc6819f46f57".

#8 - 2012-05-23 06:47 AM - Alexander Bruy

- Resolution set to fixed

#9 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
